Autor Tópico: Ubuntu não atualiza os aplicativos e programas  (Lida 880 vezes)

Offline Aélio

  • Usuário Ubuntu
  • *
  • Mensagens: 1
    • Ver perfil
Ubuntu não atualiza os aplicativos e programas
« Online: 12 de Julho de 2017, 03:32 »
 Bom dia a todos da comunidade ubuntu.
Tentei instalar um programa chamado ap-hotspot, e alguns elementos da biblioteca não foram instalados, o que acabou por corromper o ubuntu. Desde então não consigo instalar nem atualizar nenhum aplicativo ou programa... se alguém já enfrentou este mesmo problema e puder ajudar, fica desde já meus agradecimentos.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.525
    • Ver perfil
Re:Ubuntu não atualiza os aplicativos e programas
« Resposta #1 Online: 12 de Julho de 2017, 13:21 »
Então, @Aélio,

Se não consegue instalar programas ou atualizar o sistema é necessário saber mais exatamente qual o erro que está indicando.

Abra um terminal, execute o comando abaixo e traga ao tópico o resultado para:

Código: [Selecionar]
lsb_release -rd
Código: [Selecionar]
uname -srvm
Código: [Selecionar]
egrep -v '^#|^ *$' /etc/apt/sources.list /etc/apt/sources.list.d/*
Depois, ainda no terminal, execute:

Código: [Selecionar]
sudo apt update
Código: [Selecionar]
sudo apt upgrade
Igualmente traga ao tópico o resultado desse processamento.


« Última modificação: 12 de Julho de 2017, 13:23 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline zekkerj

  • Usuário Ubuntu
  • *
  • Mensagens: 18.711
  • Gratidão gera gratidão, lamúria gera lamúria...
    • Ver perfil
Re:Ubuntu não atualiza os aplicativos e programas
« Resposta #2 Online: 14 de Julho de 2017, 20:45 »
Outros dois comandos que podem ajudar:

dpkg --configure -a
apt-get -f instala


Enviado do meu smartphone.
Pesquise antes de perguntar, sua dúvida pode já ter sido respondida.
Não respondo dúvidas por MP, coloque sua dúvida no fórum onde ela pode ser pesquisada pelos seus colegas!
Não venha ao fórum apenas para perguntar. Se você sabe a resposta de um problema, porque não ajudar seu colega? ;D

Offline GuiOak

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Re:Ubuntu não atualiza os aplicativos e programas
« Resposta #3 Online: 21 de Agosto de 2017, 00:34 »
Prezados,

Enfrento o mesmo problemas, no "Ubuntu Software" não é possível atualizar nenhum aplicativo.
Fiz os procedimentos indicados aqui, segue abaixo.
Aguado um retorno.

guioak@x555lf:~$ lsb_release -rd
Description:   Ubuntu 16.04.2 LTS
Release:   16.04
guioak@x555lf:~$ uname -srvm
Linux 4.4.0-79-generic #100-Ubuntu SMP Wed May 17 19:58:14 UTC 2017 x86_64
guioak@x555lf:~$ egrep -v '^#|^ *$' /etc/apt/sources.list /etc/apt/sources.list.d/*
/etc/apt/sources.list:deb http://br.archive.ubuntu.com/ubuntu/ xenial main restricted
/etc/apt/sources.list:deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates main restricted
/etc/apt/sources.list:deb http://br.archive.ubuntu.com/ubuntu/ xenial universe
/etc/apt/sources.list:deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates universe
/etc/apt/sources.list:deb http://br.archive.ubuntu.com/ubuntu/ xenial multiverse
/etc/apt/sources.list:deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates multiverse
/etc/apt/sources.list:deb http://br.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse
/etc/apt/sources.list:deb http://security.ubuntu.com/ubuntu xenial-security main restricted
/etc/apt/sources.list:deb http://security.ubuntu.com/ubuntu xenial-security universe
/etc/apt/sources.list:deb http://security.ubuntu.com/ubuntu xenial-security multiverse
/etc/apt/sources.list.d/nilarimogard-ubuntu-webupd8-xenial.list.save:deb http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu xenial main
/etc/apt/sources.list.d/steam.list:deb [arch=amd64,i386] http://repo.steampowered.com/steam/ precise steam
/etc/apt/sources.list.d/steam.list:deb-src [arch=amd64,i386] http://repo.steampowered.com/steam/ precise steam
/etc/apt/sources.list.d/steam.list.save:deb [arch=amd64,i386] http://repo.steampowered.com/steam/ precise steam
/etc/apt/sources.list.d/steam.list.save:deb-src [arch=amd64,i386] http://repo.steampowered.com/steam/ precise steam
/etc/apt/sources.list.d/tiheum-ubuntu-equinox-xenial.list:deb http://ppa.launchpad.net/tiheum/equinox/ubuntu xenial main
/etc/apt/sources.list.d/tiheum-ubuntu-equinox-xenial.list.save:deb http://ppa.launchpad.net/tiheum/equinox/ubuntu xenial main
/etc/apt/sources.list.d/ubuntu-toolchain-r-ubuntu-test-xenial.list:deb http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu xenial main
/etc/apt/sources.list.d/ubuntu-toolchain-r-ubuntu-test-xenial.list.save:deb http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu xenial main
guioak@x555lf:~$ sudo apt update
[sudo] senha para guioak:
Obter:1 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]                                                   
Obter:2 http://security.ubuntu.com/ubuntu xenial-security/main amd64 Packages [344 kB]                                         
Atingido:3 http://repo.steampowered.com/steam precise InRelease                                                                                             
Ign:4 http://ppa.launchpad.net/tiheum/equinox/ubuntu xenial InRelease                                                                                       
Obter:5 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu xenial InRelease [17,6 kB]                                                                   
Err:6 http://ppa.launchpad.net/tiheum/equinox/ubuntu xenial Release                                                                                         
  404  Not Found
Obter:7 http://security.ubuntu.com/ubuntu xenial-security/main i386 Packages [323 kB]                                                                       
Obter:8 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu xenial/main amd64 Packages [63,8 kB]                                                         
Obter:9 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu xenial/main i386 Packages [62,4 kB]                                                         
Atingido:10 http://br.archive.ubuntu.com/ubuntu xenial InRelease                                                                                             
Obter:11 http://br.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]                                                                               
Obter:12 http://br.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]                                                                             
Obter:13 http://br.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [620 kB]                                                                     
Obter:14 http://security.ubuntu.com/ubuntu xenial-security/main Translation-en [145 kB]                                                                     
Obter:15 http://security.ubuntu.com/ubuntu xenial-security/main amd64 DEP-11 Metadata [60,0 kB]                                                             
Obter:16 http://security.ubuntu.com/ubuntu xenial-security/main DEP-11 64x64 Icons [48,1 kB]                                                                 
Obter:17 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 Packages [156 kB]                                                                 
Obter:18 http://br.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [596 kB]                                                                     
Obter:19 http://br.archive.ubuntu.com/ubuntu xenial-updates/main Translation-en [251 kB]                                                                     
Obter:20 http://br.archive.ubuntu.com/ubuntu xenial-updates/main amd64 DEP-11 Metadata [305 kB]                                                             
Obter:21 http://security.ubuntu.com/ubuntu xenial-security/universe i386 Packages [137 kB]                                                                   
Obter:22 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 DEP-11 Metadata [48,7 kB]                                                         
Obter:23 http://br.archive.ubuntu.com/ubuntu xenial-updates/main DEP-11 64x64 Icons [207 kB]                                                                 
Obter:24 http://security.ubuntu.com/ubuntu xenial-security/universe DEP-11 64x64 Icons [69,1 kB]                                                             
Obter:25 http://br.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [517 kB]                                                                 
Obter:26 http://br.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [497 kB]                                                                 
Obter:27 http://br.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 DEP-11 Metadata [171 kB]                                                         
Obter:28 http://br.archive.ubuntu.com/ubuntu xenial-updates/universe DEP-11 64x64 Icons [226 kB]                                                             
Obter:29 http://br.archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 DEP-11 Metadata [5.896 B]                                                       
Obter:30 http://br.archive.ubuntu.com/ubuntu xenial-backports/main amd64 DEP-11 Metadata [3.328 B]                                                           
Obter:31 http://br.archive.ubuntu.com/ubuntu xenial-backports/universe amd64 DEP-11 Metadata [5.132 B]                                                       
Lendo listas de pacotes... Pronto                                                                                                                           
E: The repository 'http://ppa.launchpad.net/tiheum/equinox/ubuntu xenial Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
guioak@x555lf:~$ sudo apt upgrade
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Você pode querer executar 'apt-get -f install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
 libc6-dbg : Depende: libc6 (= 2.23-0ubuntu9) mas 2.23-0ubuntu7 está instalado
 libc6-dev : Depende: libc6 (= 2.23-0ubuntu9) mas 2.23-0ubuntu7 está instalado
E: Dependências desencontradas. Tente usar -f.
guioak@x555lf:~$ dpkg --configure -a
dpkg: erro: a operação solicitada requer privilégios de superusuário
guioak@x555lf:~$ apt-get -f instala
E: Command line option 'f' [from -f] is not understood in combination with the other options.
guioak@x555lf:~$

Offline senhor_unix

  • Usuário Ubuntu
  • *
  • Mensagens: 34
  • O seu recalque bate no Iptables e dropa
    • Ver perfil
Re:Ubuntu não atualiza os aplicativos e programas
« Resposta #4 Online: 21 de Agosto de 2017, 14:29 »
Tente o seguinte comando:

#apt-get install -f ou #apt-get -f install

Tecle depois ENTER.
« Última modificação: 21 de Agosto de 2017, 14:34 por senhor_unix »

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.525
    • Ver perfil
Re:Ubuntu não atualiza os aplicativos e programas
« Resposta #5 Online: 21 de Agosto de 2017, 20:09 »
Enfrento o mesmo problemas, no "Ubuntu Software" não é possível atualizar nenhum aplicativo.
Fiz os procedimentos indicados aqui, segue abaixo.
Aguado um retorno.

Pois então, @GuiOak,

Há algumas dificuldades com os resultados dos comandos que você postou aqui no tópico, uma das quais é relativo a ppa instalada, incluindo algumas esquisitices como o arquivo da ppa ainda linkada em relação ao Ubuntu Precise, que foi a versão 12.04, possivelmente porque você fez um upgrade de versão, mas em si não é realmente um problema, já que está desativado.

Se quiser ter um entendimento um pouco melhor do porque isso acontece, para não ter que repetir tudo aqui novamente, leia esse tópico e nele especial o post #11, vez que se trata da mesma e idêntica situação, o caso concreto ´e ligeiramente diferente, porém o aspecto conceitual é o mesmo:

https://ubuntuforum-br.org/index.php/topic,121923.msg670845.html#msg670845

Entretato é o caso de corrigir o restante.

Inicialmente vá lá em:

Citar
Configurações do sistema/Programas e atualizações/aba Outros programas

Desmarque a ppa:

Citar
http://ppa.launchpad.net/tiheum/equinox/ubuntu

Não há versão para o Ubuntu 16.04 Xenial dessa ppa, ela está mais que parada, coisa de 3 anos, parou no Trusty, que é a versão 14.04, não recebe manutenção desde 05/jun/2014, pode conferir aqui:

http://ppa.launchpad.net/tiheum/equinox/ubuntu/dists/

De qualquer maneira pode melhor limpar a área fazendo algo assim:

Código: [Selecionar]
sudo rm /etc/apt/sources.list.d/steam.list
Código: [Selecionar]
sudo rm /etc/apt/sources.list.d/steam.list.save
Código: [Selecionar]
sudo rm /etc/apt/sources.list.d/tiheum-ubuntu-equinox-xenial.list
Código: [Selecionar]
sudo rm /etc/apt/sources.list.d/tiheum-ubuntu-equinox-xenial.list.save
Não precisa digitar os comandos acima, marque com o mouse e copie aqui do tópico, cole na janela do terminal e então basta dar um <enter>, o que evita erros de retranscrição.

Uma vez feita essa limpeza, execute novamente e constate se os erros de ppa desapareceram:

Código: [Selecionar]
sudo apt update
Código: [Selecionar]
sudo apt upgrade
Em seguida se aquele erro da biblioteca libc6-dbg continua a aparecer, então execute os comandos já mencionados no post #4 do colega @senhor_unix que na verdade você já tentou executar mas errou na digitação do comando (não é instala é install), por isso que não deu certo da primeira vez.

Código: [Selecionar]
sudo apt-get -f install
Execute novamente:

Código: [Selecionar]
sudo apt update
Código: [Selecionar]
sudo apt upgrade
Os dois comandos acima devem terminar sem quaisquer erros.

« Última modificação: 21 de Agosto de 2017, 20:11 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline GuiOak

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Re:Ubuntu não atualiza os aplicativos e programas
« Resposta #6 Online: 22 de Agosto de 2017, 15:58 »
Enfrento o mesmo problemas, no "Ubuntu Software" não é possível atualizar nenhum aplicativo.
Fiz os procedimentos indicados aqui, segue abaixo.
Aguado um retorno.

Pois então, @GuiOak,

Há algumas dificuldades com os resultados dos comandos que você postou aqui no tópico, uma das quais é relativo a ppa instalada, incluindo algumas esquisitices como o arquivo da ppa ainda linkada em relação ao Ubuntu Precise, que foi a versão 12.04, possivelmente porque você fez um upgrade de versão, mas em si não é realmente um problema, já que está desativado.


Obrigado, druidaobelix,

Me ajudou muito, consegui reparar meu sistema com suas dicas.
Realmente, o comando para reparar a biblioteca estava errado.

Estou atualizando os programas, caso ocorra algum problema retorno aqui.